# $Revision: 1.15 $, $Date: 2008/11/13 09:27:00 $
Summary:	OpenSync IRMC plugin
Summary(pl.UTF-8):	Wtyczka IRMC do OpenSync
Name:		libopensync-plugin-irmc
Version:	0.22
Release:	5
License:	GPL v2
Group:		Libraries
# Source0:	http://www.opensync.org/attachment/wiki/download/%{name}-%{version}.tar.bz2
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	ecec872b2bccd824b1c5cbb2ec1d5399
URL:		http://www.opensync.org/
BuildRequires:	bluez-libs-devel
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libopensync02-devel >= %{version}
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	openobex-devel >= 1.0.0
BuildRequires:	pkgconfig
Obsoletes:	multisync-irmc
Obsoletes:	multisync-irmc-bluetooth
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenSync is a synchronization framework that is platform and
distribution independent.

It consists of several plugins that can be used to connect to devices,
a powerful sync-engine and the framework itself.

This package contains IRMC plugin for OpenSync framework.

%description -l pl.UTF-8
OpenSync to niezależny od platformy i dystrybucji szkielet do
synchronizacji danych.

Składa się z różnych wtyczek, których można używać do łączenia z
urządzeniami, potężnego silnika synchronizacji oraz samego szkieletu.

Ten pakiet zawiera wtyczkę IRMC dla szkieletu OpenSync.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/opensync/plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/opensync/plugins/irmc_sync.so
%{_datadir}/opensync/defaults/irmc-sync

# devel
#%{_includedir}/opensync-1.0/opensync/irmc_sync.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libopensync-plugin-irmc.spec,v $
Revision 1.15  2008/11/13 09:27:00  arekm
- fix opensync BR

Revision 1.14  2008/11/13 09:21:21  arekm
- again

Revision 1.13  2008/11/13 09:14:55  arekm
- rel 4

Revision 1.12  2008/11/13 09:08:19  arekm
- cheat on df

Revision 1.11  2008/11/02 20:07:08  arekm
- release 3

Revision 1.10  2008/08/31 20:05:14  arekm
- release 2

Revision 1.9  2007-09-02 12:29:04  qboosh
- more BRs, drop *.la
- License is GPL v2 (only)

Revision 1.8  2007/03/28 23:30:32  wrobell
- ver. 0.22

Revision 1.7  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.5  2006/10/23 21:59:28  glen
- working source0

Revision 1.4  2006/10/23 20:50:24  glen
- stricter libopensync dep

Revision 1.3  2006/01/24 10:42:12  qboosh
- Obsoletes: multisync-irmc,multisync-irmc-bluetooth

Revision 1.2  2006/01/24 10:38:50  qboosh
- pl

Revision 1.1  2006/01/23 12:23:01  wrobell
- based on each other ;)
